####################################################################################
############################# COURSERA PLAN ########################################
####################################################################################


##################################################################################################
################ 0. MOOC SPECIFICITY : mise en place des spécificités d'un mooc ##################
##################################################################################################

# lancer dans le fichier "0_mooc_specifity.R" le mooc que l'on souhaite analyser

# La seule manipulation à faire est de trouver les dates d'ouverture/ de fermeture d'insccription, du cours, de chaque section

# Juilllet 2015, liste des mooc (7) : algoprog_001, algoprog_002, businessandphilo_001, businessandphilo_002, functionalanalysis_001, functionalanalysis_002, artificialvision_001


##############################################################################################
############################### 1. STAT DESC COURSERA ########################################
##############################################################################################

# Travailler sur le fichier "1_demographic_statistics.R"

# refait ce que fait coursera => statistiques descriptives de Coursera => il manque un moyen de l'exporter joliment


################################################################################################
############################### 2. CONSOMMATION GLOBALE ########################################
################################################################################################

# Travailler sur le fichier "2_global_evolution_log.R"

# Concerne l'ensemble des graphiques d'opérations sur les objets (inscription, vidéos, devoirs, quiz et forum dans une moindre mesure)
# on travaille principalement sur des fenêtres temporelles quotidiennes ou hebdomadaires

# Objets étudiés : Registrant, Last access Time, Lecture, Quiz, Assgniment (vision temp et modulaire), "GRAPHIC REPRESENTATION for LECTURE & QUIZ & ASSIGNMENT" (ggplot des 3 items), No show, Forum

# PS : 2_for_functionalanalysis est a utiliser à partir de "GRAPHIC REPRESENTATION for LECTURE & QUIZ & ASSIGNMENT" et reprendre le fichier normal pour "Forum"
# Dans ces MOOCs il ne semble pas y avoir de assignment


######################################################################################################################################
############### 3. INDIVIDUAL CONSUMPTION & CERTIFICATE (BRESLOW) & link between grade and socio-demo background #####################
######################################################################################################################################


# Travailler sur le fichier "3_individual_consumption_certificate.R"

# Sert principalement à faire les figures de Breslow et l'étude entre les réponses aux questionnaires et la certification du mooc (emooc2014)


################################################################################
############### 4. PATTERN OF ACTIONS BY INDIVIDUAL: preparation ###############
################################################################################

# Travailler sur le fichier "4_pattern_preparation.R"

# Création de la table "action" qui regroupe toutes les "submission" de lecture, quiz et assignment
# action_unique : remove 2 exact same actions happening at the exact same time
# action_unique2: Remove action without open_day


# 4_for_functionalanalysis pour ce mooc car pas d'assignmennt

################################################################################
######### 5. PATTERN OF ACTIONS BY INDIVIDUAL: exploration of sequences ########
################################################################################

# Travailler sur le fichier "5_pattern_exploration.R"

# On travaille sur les séquences pures d'actions
# Il faut d'abord choisir dans quelle fenêtre on se situe : # PAR HEURE #, # PAR JOUR #, # SEQUENTIEL PUR BY WEEK #, # SUPPRESSION DES MEMES ACTIONS AU SEIN D'1 MEME JOURNEE #, ### VISION MODULAIRE ###


#ensuite il faut choisir les objets "act" (nb d'états = 5 ou 8), "act_order" (vision chronologique ou modulaire)

#ensuite démarre l'analyse avec TraMineR en 4 étapes

################################################################################
######### 6. PATTERN OF ACTIONS BY INDIVIDUAL: initial states  #################
################################################################################


# Travailler sur le fichier "6_pattern_initial_states.R"

# Suit le travail de choix d'états initiaux
# Choix entre 5 et 8 états
# Choix entre temp et mod (temp à faire en 1er)

# sequence_finale2 donne les séquences finales des individus ensuite on fait TraMineR
# on recommence avec la vision<-"mod" le cas échéant

################################################################################
######### 7. PATTERN OF ACTIONS BY INDIVIDUAL: KIZILCEK  #######################
################################################################################


# Travailler sur le fichier "7_pattern_kizilcek.R"


