################################################################################################
################################################################################################
############################   FORUM  ##########################################################
################################################################################################
################################################################################################
# "activity_log"                "forum_comments"              "forum_forums"               
# "forum_posts"                 "forum_reporting"             "forum_reputation_points"    
# "forum_reputation_record"     "forum_subscribe_forums"      "forum_subscribe_threads"    
# "forum_tags"                  "forum_tags_threads"          "forum_threads"              


table(activity_log$action)


####################
## POUR JEAN #######
####################

#recuperer le nom du forum
forum_threads2<-merge(forum_threads,forum_forums[,c("id","name","description")],by.x="forum_id",by.y="id",all.x=T)
forum_posts2<-merge(forum_posts,forum_threads2[,c("id","name","description","title")],by.x="thread_id",by.y="id",all.x=T)
forum_comments2<-merge(forum_comments,forum_threads2[,c("id","name","description","title")],by.x="thread_id",by.y="id",all.x=T)
forum_threads2$post_time_day<-as.Date(as.POSIXct(forum_threads2$posted_time,origin=origin),format = "%d/%m/%Y")
forum_posts2$post_time_day<-as.Date(as.POSIXct(forum_posts2$post_time,origin=origin),format = "%d/%m/%Y")
forum_comments2$post_time_day<-as.Date(as.POSIXct(forum_comments2$post_time,origin=origin),format = "%d/%m/%Y")

#algoprog v1
colnames(forum_posts2)
colnames(forum_posts2)[2]<-"post_id"
colnames(forum_posts2)[18]<-"forum_name"
colnames(forum_posts2)[19]<-"forum_description"
colnames(forum_posts2)[20]<-"threads_title"
colnames(forum_comments2)
colnames(forum_comments2)[2]<-"comments_id"
colnames(forum_comments2)[14]<-"forum_name"
colnames(forum_comments2)[15]<-"forum_description"
colnames(forum_comments2)[16]<-"threads_title"
#algoprog v2
colnames(forum_posts2)
colnames(forum_posts2)[2]<-"post_id"
colnames(forum_posts2)[16]<-"forum_name"
colnames(forum_posts2)[17]<-"forum_description"
colnames(forum_posts2)[18]<-"threads_title"
colnames(forum_comments2)
colnames(forum_comments2)[2]<-"comments_id"
colnames(forum_comments2)[13]<-"forum_name"
colnames(forum_comments2)[14]<-"forum_description"
colnames(forum_comments2)[15]<-"threads_title"



forum_comments3<-cbind(forum_comments2$comments_id,forum_comments2$post_time,as.character(forum_comments2$post_time_day),
                       forum_comments2$user_id,forum_comments2$thread_id,forum_comments2$threads_title,
                       forum_comments2$post_id,forum_comments2$forum_name,forum_comments2$forum_description,
                       forum_comments2$comment_text)
colnames(forum_comments3)<-c("comments_id","timestamp","post_time_day","user_id","thread_id","thread_title","post_id","forum_name","forum_description","post_text")

forum_posts3<-cbind(rep("post_initial",nrow(forum_posts2)),forum_posts2$post_time,as.character(forum_posts2$post_time_day),
                    forum_posts2$user_id,forum_posts2$thread_id,forum_posts2$threads_title,
                    forum_posts2$post_id,forum_posts2$forum_name,forum_posts2$forum_description,
                    forum_posts2$post_text)
colnames(forum_posts3)
colnames(forum_posts3)<-c("comments_id","timestamp","post_time_day","user_id","thread_id","thread_title","post_id","forum_name","forum_description","post_text")

colnames(forum_comments3)
colnames(forum_posts3)

algoprog_001_post_comments<-rbind(forum_posts3,forum_comments3)
algoprog_001_post_comments<-as.data.frame(algoprog_001_post_comments)
algoprog_001_post_comments2<-gsub("\n",algoprog_001_post_comments)
write.table(algoprog_001_post_comments, "forum/algoprog_001_post_comments.csv", row.names=FALSE, sep="$",dec=",")
# "C:\Users\Mattias\Google Drive\STEF\Assistant de recherche\Hubble perso\Appel à papier\Papier MC, MM, JB\data\R analysis\Coursera\forum"

# algoprog_001_post_comments<-merge(algoprog_001_post_comments,users[,c("session_user_id","access_group_id")],by.x="user_id",by.y="session_user_id",all.x=T)
# algoprog_001_post_comments<-merge(algoprog_001_post_comments,access_groups[,c("id","forum_title")],by.x="access_group_id",by.y="id",all.x=T)
# table(algoprog_001_post_comments$access_group_id) 